/* @file core.h
 *
 * @brief LSUP_REPO core module.
 */

#ifndef _LSR_CORE_H
#define _LSR_CORE_H

#include "lsup_rdf.h"


/** @brief Whether the environment is initialized.
 */
extern bool LSR_is_init;


/** @brief Initialize LSUP and LSR environments.
 *
 * This function is idempotent.
 */
LSUP_rc LSR_init (void);


/** @brief Tear down LSUP and LSR environments.
 *
 * This function is idempotent. It is also called automatically at the end of
 * a program (atexit()).
 */
void LSR_done (void);


#endif /* _LSR_CODE_H */
